    import StaticReforgedRunePaths from 'kayn/lib/Endpoints/StaticEndpoints/StaticReforgedRunePaths.js'

public class | source

# StaticReforgedRunePaths

#### Extends:

Endpoint~Endpoint → StaticSuperclass → StaticReforgedRunePaths

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | config: * |
public | limiter: * |
public | resourceName: string |

## Method Summary

Public Methods
public | get(id: number): * Retrieves reforged rune path by ID. |
public | list(): * Retrieves reforged rune path list. |

## Inherited Summary

From class StaticSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

StaticSuperclass#constructor

## Public Members

### public config: * source

### public limiter: * source

### public resourceName: string source

## Public Methods

### public get(id: number): * source

Retrieves reforged rune path by ID.

Implements GET `/lol/static-data/v3/reforged-rune-paths/{id}`.

#### Params:

Name | Type | Attribute | Description
id | number |  | The ID of the rune.

#### Return:

*

### public list(): * source

Retrieves reforged rune path list.

Implements GET `/lol/static-data/v3/reforged-rune-paths`.

#### Return:

*